桌面版本怎麼改回來 gnome 3.26.1->3.25.91 [論壇 - 新手村]


正在瀏覽:   1 名遊客


 到底部   前一個主題   下一個主題  [無發表權] 請登錄或者註冊



桌面版本怎麼改回來 gnome 3.26.1->3.25.91
會員一級
註冊日期:
11/25 22:58:33
所屬群組:
已註冊使用者
等級: 1
HP : 0 / 0
MP : 0 / 0
EXP: 0
離線
<Ubuntu 17.10 gnome 3.26.1>
我把桌面版本升級到3.26.1,實在用不習慣(如果我沒記錯,預設是3.25.91吧),要怎麼改回3.25.91(習慣有工具列)

11/25 23:54:58
應用擴展 工具箱
回覆: 桌面版本怎麼改回來 gnome 3.26.1->3.25.91
會員五級
註冊日期:
2012/4/22 10:50
所屬群組:
已註冊使用者
等級: 33
HP : 161 / 806
MP : 508 / 13318
EXP: 24
離線
Askoir 寫到:
<Ubuntu 17.10 gnome 3.26.1>
我把桌面版本升級到3.26.1,實在用不習慣(如果我沒記錯,預設是3.25.91吧),要怎麼改回3.25.91(習慣有工具列)


執行


$ man apt-get



會看到其中有如下的資訊


SYNOPSIS

       apt-get [-asqdyfmubV] [-o=config_string] [-c=config_file]
               [-t=target_release] [-a=architecture] {update | upgrade |
               dselect-upgrade | dist-upgrade |
               install pkg [{=pkg_version_number | /target_release}]...  |
...略...



然後在往下看,會找到如下的資訊



       install

...略...

           A specific version of a package can be selected for installation by
           following the package name with an equals and the version of the
           package to select. This will cause that version to be located and
           selected for install. Alternatively a specific distribution can be
           selected by following the package name with a slash and the version
           of the distribution or the Archive name (stable, testing,
           unstable).

           Both of the version selection mechanisms can downgrade packages and
           must be used with care.

...略...



不過要能選不同版本的「gnome-shell」套件安裝,需要您設定的套件庫來源,還有其他版本可選。


$ apt-cache policy gnome-shell



顯示


gnome-shell:
  Installed: 3.26.1-0ubuntu5
  Candidate: 3.26.1-0ubuntu5
  Version table:
 *** 3.26.1-0ubuntu5 500
        500 http://tw.archive.ubuntu.com/ubuntu artful-updates/main amd64 Packages
        100 /var/lib/dpkg/status
     3.26.1-0ubuntu4 500
        500 http://tw.archive.ubuntu.com/ubuntu artful/main amd64 Packages




相關的概念,可以參考之前寫的「#5 回覆: NetworkManager如何設定成不更新不升級?」,「#2 回覆: apt 出現許多錯誤訊息」。

更多的套件操作討論案例連結,紀錄在「[索引] 套件操作實務」。

================================================================================


Askoir 寫到:
<Ubuntu 17.10 gnome 3.26.1>
我把桌面版本升級到3.26.1,實在用不習慣(如果我沒記錯,預設是3.25.91吧),要怎麼改回3.25.91(習慣有工具列



另外您指的「工具列」,指的是不是在「#1 Ubuntu 17.10 推出」貼的那張圖片左方的「Panel (Dock) (Dash) 」。

原本應該是要有,若沒有,按下「Activities」按鈕,切換到「Activities Overview」,應該也會看到。

若要固定顯示,印象中好像是安裝「Dash to Dock (官網)」。

有一個套件是「gnome-shell-extension-dashtodock」。

可以執行「apt-cache show gnome-shell-extension-dashtodock」觀看相關資訊。

然後「Ubuntu 17.10」應該有另外提供一個套件「gnome-shell-extension-ubuntu-dock」。

因為您是升級的方式,推測您是不是少安裝了這個套件。

可以執行


$ dpkg -l gnome-shell-extension-ubuntu-dock



若有安裝,會顯示如下的訊息


Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend
|/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)
||/ Name Version Architecture Description
+++-========================================-=========================-=========================-======
ii gnome-shell-extension-ubuntu-dock 0.7.1 all Ubuntu Dock for GNOME Shell



若沒有安裝,可能會顯示如下


dpkg-query: no packages found matching gnome-shell-extension-ubuntu-dock



可以執行下面指令安裝


$ sudo apt-get install gnome-shell-extension-ubuntu-dock




一些相關的議題,可以參考「#22 回覆: Ubuntu 17.10 推出」,我有紀錄一些相關的討論連結。
可以在頁面找尋「## 關於「gnome-shell-extension」」。

================================================================================

另外若真的還是不能固定顯示「Panel」,可以嘗試執行下面指令,安裝「ubuntu-desktop」這個「MetaPackage


$ sudo apt-get install ubuntu-desktop



或是執行下面指令,重新安裝


$ sudo apt-get install ubuntu-desktop --reinstall



也許可以解決。

執行


$ apt-cache show ubuntu-desktop | grep '^Depends:' | grep gnome-shell-extension-ubuntu-dock



顯示


Depends: alsa-base, alsa-utils, anacron, at-spi2-core, bc, ca-certificates, dmz-cursor-theme, doc-base, fonts-dejavu-core, fonts-freefont-ttf, foomatic-db-compressed-ppds, gdm3, genisoimage, ghostscript-x, gnome-control-center, gnome-menus, gnome-session-canberra, gnome-settings-daemon, gnome-shell, gnome-shell-extension-appindicator, gnome-shell-extension-ubuntu-dock, gstreamer1.0-alsa, gstreamer1.0-packagekit, gstreamer1.0-plugins-base-apps, gstreamer1.0-pulseaudio, gvfs-bin, inputattach, language-selector-gnome, libatk-adaptor, libnotify-bin, libsasl2-modules, nautilus, openprinting-ppds, printer-driver-pnm2ppa, pulseaudio, rfkill, software-properties-gtk, ubuntu-artwork, ubuntu-drivers-common, ubuntu-release-upgrader-gtk, ubuntu-session, ubuntu-settings, ubuntu-sounds, unzip, update-manager, update-notifier, wireless-tools, wpasupplicant, xdg-user-dirs, xdg-user-dirs-gtk, xkb-data, xorg, yelp, zenity, zip



關於「MetaPackage」,可以參考「#45 回覆: Ubuntu 17.10 推出」。

================================================================================

另外題外話,

可能是我後知後覺,這幾天才發現,原來「Ubuntu 17.10」的套件庫,

預設就有提供「cinnamon」和「lxqt」。

另外這幾天才想到再去逛「LXQt」官網,看到「Release LXQt 0.12.0」。

目前「Ubuntu 17.10」則是「0.11.1-2」,從「lxqt-about」這個網頁看到的。

或是執行「apt-cache show lxqt-about | grep '^Version:'」來看。

這幾天也在嘗試安裝「i3」,「qtile」和「awesome」和「dwm

這幾個「Tiling window manager」來使用。

以前有聽過,但都沒動手去嘗試來玩,稍微測試一下,還蠻有趣的。

我還參考「i3」的一些快速鍵設定
設定在「gnome-shell」的環境,
我有紀錄在「#29 回覆: Ubuntu 17.10 推出」,先紀錄在那。

另外兩個套件「rofi」和「suckless-tools」,也會接觸到。

這兩個套件,可以獨立安裝,然後在「gnome-shell」環境使用,可以搭配自定設定快速鍵。

而「suckless-tools」裡面會有「dmenu」。


另外兩個「Sway」,「Way Cooler」跟「Wayland」有關,還沒嘗試,套件庫目前應該還沒有提供套件。

還有從「Arch Wiki / Wayland」,看到一個套件「weston」。


================================================================================

以上提供參考

報告完畢


11/26 12:08:21
應用擴展 工具箱
回覆: 桌面版本怎麼改回來 gnome 3.26.1->3.25.91
會員二級
註冊日期:
2013/8/12 9:20
所屬群組:
已註冊使用者
等級: 7
HP : 0 / 167
MP : 25 / 2132
EXP: 71
離線
可是 3.25.91 就是 3.26.X 的測試版......

11/27 7:17:03
應用擴展 工具箱


 [無發表權] 請登錄或者註冊


可以查看帖子.
不可發帖.
不可回覆.
不可編輯自己的帖子.
不可刪除自己的帖子.
不可發起投票調查.
不可在投票調查中投票.
不可上傳附件.
不可不經審核直接發帖.